# Concourse Cloudron App

This repository contains the Cloudron app package source for [Concourse](https://concourse.ci/) ATC and TSA.

## Installation

[![Install](https://cloudron.io/img/button.svg)](https://cloudron.io/button.html?app=ci.concourse.cloudron)

or using the [Cloudron command line tooling](https://cloudron.io/references/cli.html)

```
cloudron install --appstore-id ci.concourse.cloudron
```

## Building

The app package can be built using the [Cloudron command line tooling](https://cloudron.io/references/cli.html).

```
make build      # Builds the Cloudron app
make install    # Installs the app into Cloudron and runs it
make run        # Ensures app is installed and prints all logs and begins tailing them 
make uninstall  # Uninstalls the app from Cloudron
make debug      # Changes the current configuration to debug to set filesystem to read/write
make no-debug   # Changes the current configuration out of debug
make run-worker # Runs a worker in an attached process
```

### Legal

Concourse is a trademark of Concourse in the U.S. and other countries.
